import sys

if sys.version_info.major >= 3:
	from html.parser import HTMLParser
else:
	from HTMLParser import HTMLParser

class TestHTMLParser(HTMLParser):
	def __init__(self):
		HTMLParser.__init__(self)
		self.input_count = 0

	def handle_starttag(self, tag, attr):
		if tag == "input":
			print("Encountered input. attr=%s" % str(attr))
			self.input_count += 1

fhnd=open("testhtmlparse.html", "r")
r=fhnd.read()
fhnd.close()
p=TestHTMLParser()
p.feed(r)
print("Total input tags: %d" % p.input_count)
